Subject: bug#66022: 30.0.50; kmacro overwriting global keybindings

From: Gerd Möllmann <[email-masked]>
Date: Wed, 20 Sep 2023 20:24:52 +0200

On 23-09-20 18:56 , Stefan Monnier wrote:
>>> Any idea which place in the Makefile's or in loadup.el does that?
>>
>> I think nextstep/Makefile.in contains
>>
>> # FIXME: Don't install the dump file into the app bundle when
>> # self-contained install is disabled.
>> ${ns_applibexecdir}/Emacs.pdmp: ${ns_appdir} ${ns_check_file}
>> ../src/emacs${EXEEXT}.pdmp
>> 	${MKDIR_P} ${ns_applibexecdir}
>> 	cp -f ../src/emacs${EXEEXT}.pdmp $@
>>
>> and the "all" target has that the pdmp as a dependency.
> 
> Sounds like a bug, yes: either the same thing should be done for all the
> files in ${ns_applibexecdir} or it should be done for none.
> 
> This said, I'm, 100% unfamiliar with the way the `Emacs.app` directory
> is built, so maybe this is a feature rather than a bug.
> 
>> I have no idea though what the comment means, or if the cp if necessary
>> for something.
> 
> The FIXME sounds to me like it's hinting at the same bug you're seeing
> (tho maybe another manifestation of it), and since there's a FIXME
> I presume that fixing it isn't as simple as removing this rule :-)

Hi Alan,

this bug finally ended with finding that a plain "gmake" in the toplevel 
Emacs tree can copy src/emacs.pdmp to nextstep/Emacs.app/... which lead 
to me being completely puzzled.

Do you perhaps remember what the FIXME in nextstep/Makefile.in is about 
(see above)?  I guess a self-contained build is one building Emacs.app? 
I don't know what kind of build it is when it is not self-contained.

The FIXME comes from this commit.

5dd2d50f3d5e65b85c87da86e2e8a6d087fe5767
Author:     Alan Third <[email-masked]>
AuthorDate: Wed Jun 16 21:28:10 2021 +0100
Commit:     Alan Third <[email-masked]>
CommitDate: Sat Jun 26 10:34:59 2021 +0100